# Animals

## Get Dog

## Return Dog

<mark style="color:blue;">`GET`</mark> `https://api.any-bot.xyz/api/v1/dog`

It will return a random photo and a random fact of some dog.

#### Request Body

| Name     | Type   | Description             |
| -------- | ------ | ----------------------- |
| API\_KEY | string | Your API Key (Optional) |

{% tabs %}
{% tab title="200 Dog successfully returned" %}

```javascript
{
    "message": "OK",
    "image": "http://api.any-bot.tech/img/dog/mydogimage.jpg",
    "fact": "Dogs are the best friends of humans",
    "status": 200
}
```

{% endtab %}
{% endtabs %}

## Get Cat

## Return Cat

<mark style="color:blue;">`GET`</mark> `https://api.any-bot.xyz/api/v1/cat`

It will return a random photo and a random fact of some cat.

#### Headers

| Name     | Type   | Description             |
| -------- | ------ | ----------------------- |
| API\_KEY | string | Your API Key (Optional) |

{% tabs %}
{% tab title="200: OK Cat successfully returned" %}

```javascript
{
    "message": "OK",
    "image": "http://api.any-bot.tech/img/cat/mycatimage.jpg",
    "fact": "Cats are very affectionate.",
    "status": 200
}
```

{% endtab %}
{% endtabs %}

## Get **Bear**

## Return Bear

<mark style="color:blue;">`GET`</mark> `https://api.any-bot.xyz/api/v1/bear`

It will return a random photo and a random fact of some bear.

#### Headers

| Name     | Type   | Description             |
| -------- | ------ | ----------------------- |
| API\_KEY | string | Your API Key (Optional) |

{% tabs %}
{% tab title="200: OK Bear successfully returned" %}

```javascript
{
    "message": "OK",
    "image": "http://api.any-bot.tech/img/bear/mybearimage.jpg",
    "fact": "Bears are very hairy.",
    "status": 200
}
```

{% endtab %}
{% endtabs %}

## **Get Bird**

## Return Bird

<mark style="color:blue;">`GET`</mark> `https://api.any-bot.xyz/api/v1/bird`

It will return a random photo and a random fact of some bird.

#### Headers

| Name     | Type   | Description             |
| -------- | ------ | ----------------------- |
| API\_KEY | string | Your API Key (Optional) |

{% tabs %}
{% tab title="200: OK Bird successfully returned" %}

```javascript
{
    "message": "OK",
    "image": "http://api.any-bot.tech/img/bird/mybirdimage.jpg",
    "fact": "Some birds sing in the early morning.",
    "status": 200
}
```

{% endtab %}
{% endtabs %}

## Get **Fox**

## Return Fox

<mark style="color:blue;">`GET`</mark> `https://api.any-bot.xyz/api/v1/fox`

It will return a random photo and a random fact of some **fox**.

#### Headers

| Name     | Type   | Description             |
| -------- | ------ | ----------------------- |
| API\_KEY | string | Your API Key (Optional) |

{% tabs %}
{% tab title="200: OK Fox successfully returned" %}

```javascript
{
    "message": "OK",
    "image": "http://api.any-bot.tech/img/fox/myfoximage.jpg",
    "fact": "Foxes are depicted in animated series as thieves.",
    "status": 200
}
```

{% endtab %}
{% endtabs %}

## **Get Koala**

## Return Koala

<mark style="color:blue;">`GET`</mark> `https://api.any-bot.xyz/api/v1/koala`

It will return a random photo and a random fact of some **koala**.

#### Headers

| Name     | Type   | Description             |
| -------- | ------ | ----------------------- |
| API\_KEY | string | Your API Key (Optional) |

{% tabs %}
{% tab title="200: OK Fox successfully returned" %}

```javascript
{
    "message": "OK",
    "image": "http://api.any-bot.tech/img/koala/mykoalaimage.jpg",
    "fact": "Koalas eat eucalyptus leaves.",
    "status": 200
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.any-bot.xyz/reference/api-reference/animals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
